/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: XMLNamespaces.h,v 1.2 2003/07/11 17:12:52 jan Exp $

#ifndef __SaxObjC_XML_Namespaces_H__
#define __SaxObjC_XML_Namespaces_H__

#ifndef XMLNS_OD_BIND
#  define XMLNS_OD_BIND             @"http://www.skyrix.com/od/binding"
#endif
#ifndef XMLNS_OD_CONST
#  define XMLNS_OD_CONST            @"http://www.skyrix.com/od/constant"
#endif
#ifndef XMLNS_OD_ACTION
#  define XMLNS_OD_ACTION           @"http://www.skyrix.com/od/action"
#endif
#ifndef XMLNS_OD_EVALJS
#  define XMLNS_OD_EVALJS           @"http://www.skyrix.com/od/javascript"
#endif
#ifndef XMLNS_XHTML
#  define XMLNS_XHTML               @"http://www.w3.org/1999/xhtml"
#endif
#ifndef XMLNS_HTML40
#  define XMLNS_HTML40              @"http://www.w3.org/TR/REC-html40"
#endif

#ifndef XMLNS_XLINK
#  define XMLNS_XLINK               @"http://www.w3.org/1999/xlink"
#endif

#ifndef XMLNS_XSLT
#  define XMLNS_XSLT                @"http://www.w3.org/1999/XSL/Transform"
#endif
#ifndef XMLNS_XSL_FO
#  define XMLNS_XSL_FO              @"http://www.w3.org/1999/XSL/Format"
#endif

#ifndef XMLNS_RDF
#  define XMLNS_RDF \
     @"http://www.w3.org/1999/02/22-rdf-syntax-ns#"
#endif

#ifndef XMLNS_XUL
#  define XMLNS_XUL \
     @"http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
#endif

#ifndef XMLNS_XFORMS
#  define XMLNS_XFORMS @"http://www.w3.org/2001/06/xforms"
#endif

#ifndef XMLNS_SVG
#  define XMLNS_SVG    @"http://www.w3.org/2000/svg"
#endif
#ifndef XMLNS_MATHML
#  define XMLNS_MATHML @"http://www.w3.org/1998/Math/MathML"
#endif

#ifndef XMLNS_WML12
#  define XMLNS_WML12               @"http://www.wapforum.org/DTD/wml_1.2.xml"
#endif

#ifndef XMLNS_XUPDATE
#  define XMLNS_XUPDATE             @"http://www.xmldb.org/xupdate"
#endif

#ifndef XMLNS_WEBDAV
#  define XMLNS_WEBDAV @"DAV:"
#endif

#ifndef XMLNS_XCAL_01
#  define XMLNS_XCAL_01 \
     @"http://www.ietf.org/internet-drafts/draft-ietf-calsch-many-xcal-01.txt"
#endif

/* Microsoft related namespaces */

#ifndef XMLNS_MS_OFFICE_OFFICE
#  define XMLNS_MS_OFFICE_OFFICE @"urn:schemas-microsoft-com:office:office"
#endif

#ifndef XMLNS_MS_OFFICE_WORD
#  define XMLNS_MS_OFFICE_WORD @"urn:schemas-microsoft-com:office:word"
#endif

#ifndef XMLNS_MS_HOTMAIL
#  define XMLNS_MS_HOTMAIL  @"http://schemas.microsoft.com/hotmail/"
#endif

#ifndef XMLNS_MS_HTTPMAIL
#  define XMLNS_MS_HTTPMAIL @"urn:schemas:httpmail:"
#endif

#ifndef XMLNS_MS_EXCHANGE
#  define XMLNS_MS_EXCHANGE @"http://schemas.microsoft.com/exchange/"
#endif
#ifndef XMLNS_MS_EX_CALENDAR
#  define XMLNS_MS_EX_CALENDAR @"urn:schemas:calendar:"
#endif
#ifndef XMLNS_MS_EX_CONTACTS
#  define XMLNS_MS_EX_CONTACTS @"urn:schemas:contacts:"
#endif

/* WebDAV related namespaces */

#ifndef XMLNS_WEBDAV_APACHE
#  define XMLNS_WEBDAV_APACHE @"http://apache.org/dav/props/"
#endif
#ifndef XMLNS_CADAVER_PROPS
#  define XMLNS_CADAVER_PROPS @"http://webdav.org/cadaver/custom-properties/"
#endif
#ifndef XMLNS_NAUTILUS_PROPS
#  define XMLNS_NAUTILUS_PROPS @"http://services.eazel.com/namespaces"
#endif

/* OpenOffice.org namespaces */

#ifndef XMLNS_OOo_MANIFEST
#  define XMLNS_OOo_MANIFEST     @"http://openoffice.org/2001/manifest"
#endif

#ifndef XMLNS_OOo_OFFICE
#  define XMLNS_OOo_OFFICE       @"http://openoffice.org/2000/office"
#endif
#ifndef XMLNS_OOo_TEXT
#  define XMLNS_OOo_TEXT         @"http://openoffice.org/2000/text"
#endif
#ifndef XMLNS_OOo_STYLE
#  define XMLNS_OOo_STYLE        @"http://openoffice.org/2000/style"
#endif
#ifndef XMLNS_OOo_TABLE
#  define XMLNS_OOo_TABLE        @"http://openoffice.org/2000/table"
#endif
#ifndef XMLNS_OOo_DRAWING
#  define XMLNS_OOo_DRAWING      @"http://openoffice.org/2000/drawing"
#endif
#ifndef XMLNS_OOo_DATASTYLE
#  define XMLNS_OOo_DATASTYLE    @"http://openoffice.org/2000/datastyle"
#endif
#ifndef XMLNS_OOo_PRESENTATION
#  define XMLNS_OOo_PRESENTATION @"http://openoffice.org/2000/presentation"
#endif
#ifndef XMLNS_OOo_CHART
#  define XMLNS_OOo_CHART        @"http://openoffice.org/2000/chart"
#endif
#ifndef XMLNS_OOo_DRAW3D
#  define XMLNS_OOo_DRAW3D       @"http://openoffice.org/2000/dr3d"
#endif
#ifndef XMLNS_OOo_FORM
#  define XMLNS_OOo_FORM         @"http://openoffice.org/2000/form"
#endif
#ifndef XMLNS_OOo_SCRIPT
#  define XMLNS_OOo_SCRIPT       @"http://openoffice.org/2000/script"
#endif

#endif /* __SaxObjC_XML_Namespaces_H__ */
